# FeedItemWorker Interface Reference
[Feed's parsers]

Inheritance diagram for FeedItemWorker:
[legend]

List of all members.

## Public Member Functions

| makeItems (SimpleXMLElement $xmlFeed)
| toXml (FeedItem $item)

## Detailed Description

Definition at line 15 of file FeedItemWorker.class.php.

## Member Function Documentation

FeedItemWorker::makeItems | ( | SimpleXMLElement $ | xmlFeed | ) |

Implemented in AtomItemWorker, RssItemWorker, and YandexRssItemWorker.

FeedItemWorker::toXml | ( | FeedItem $ | item | ) |

Implemented in AtomItemWorker, RssItemWorker, and YandexRssItemWorker.

The documentation for this interface was generated from the following file:

- main/Markup/Feed/FeedItemWorker.class.php